libvisio::VSDCharStyle Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
libvisio::VSDCharStyle Struct Reference

`#include <VSDStyles.h>`

## Public Member Functions
| VSDCharStyle ()
| VSDCharStyle (unsigned cc, const VSDName &ft, const Colour &c, double s, bool b, bool i, bool u, bool du, bool so, bool dso, bool ac, bool ic, bool sc, bool super, bool sub)
| VSDCharStyle (const VSDCharStyle &style)
| ~VSDCharStyle ()
void | override (const VSDOptionalCharStyle &style)

## Public Attributes
unsigned | charCount
VSDName | font
Colour | colour
double | size
bool | bold
bool | italic
bool | underline
bool | doubleunderline
bool | strikeout
bool | doublestrikeout
bool | allcaps
bool | initcaps
bool | smallcaps
bool | superscript
bool | subscript

## Constructor & Destructor Documentation

libvisio::VSDCharStyle::VSDCharStyle | ( |  | ) |
| inline

libvisio::VSDCharStyle::VSDCharStyle | ( | unsigned | cc,
|  | const VSDName & | ft,
|  | const Colour & | c,
|  | double | s,
|  | bool | b,
|  | bool | i,
|  | bool | u,
|  | bool | du,
|  | bool | so,
|  | bool | dso,
|  | bool | ac,
|  | bool | ic,
|  | bool | sc,
|  | bool | super,
|  | bool | sub
| ) |  |
| inline

libvisio::VSDCharStyle::VSDCharStyle | ( | const VSDCharStyle & | style | ) |
| inline

libvisio::VSDCharStyle::~VSDCharStyle | ( |  | ) |
| inline

## Member Function Documentation

void libvisio::VSDCharStyle::override | ( | const VSDOptionalCharStyle & | style | ) |
| inline

Referenced by libvisio::VSDContentCollector::collectCharIX(), libvisio::VSDContentCollector::collectDefaultCharStyle(), and libvisio::VSDContentCollector::collectShape().

## Member Data Documentation

bool libvisio::VSDCharStyle::allcaps

Referenced by libvisio::VSDContentCollector::_fillCharProperties().

bool libvisio::VSDCharStyle::bold

Referenced by libvisio::VSDContentCollector::_fillCharProperties().

unsigned libvisio::VSDCharStyle::charCount

Referenced by libvisio::VSDContentCollector::collectCharIX().

Colour libvisio::VSDCharStyle::colour

Referenced by libvisio::VSDContentCollector::_fillCharProperties().

bool libvisio::VSDCharStyle::doublestrikeout

Referenced by libvisio::VSDContentCollector::_fillCharProperties().

bool libvisio::VSDCharStyle::doubleunderline

Referenced by libvisio::VSDContentCollector::_fillCharProperties().

VSDName libvisio::VSDCharStyle::font

Referenced by libvisio::VSDContentCollector::_fillCharProperties().

bool libvisio::VSDCharStyle::initcaps

Referenced by libvisio::VSDContentCollector::_fillCharProperties().

bool libvisio::VSDCharStyle::italic

Referenced by libvisio::VSDContentCollector::_fillCharProperties().

double libvisio::VSDCharStyle::size

Referenced by libvisio::VSDContentCollector::_fillCharProperties().

bool libvisio::VSDCharStyle::smallcaps

Referenced by libvisio::VSDContentCollector::_fillCharProperties().

bool libvisio::VSDCharStyle::strikeout

Referenced by libvisio::VSDContentCollector::_fillCharProperties().

bool libvisio::VSDCharStyle::subscript

Referenced by libvisio::VSDContentCollector::_fillCharProperties().

bool libvisio::VSDCharStyle::superscript

Referenced by libvisio::VSDContentCollector::_fillCharProperties().

bool libvisio::VSDCharStyle::underline

Referenced by libvisio::VSDContentCollector::_fillCharProperties().

The documentation for this struct was generated from the following file:

- VSDStyles.h